Gentoo Archives: gentoo-commits

From: Emil Karlson <jekarlson@×××××.com>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] proj/x11:master commit in: x11-drivers/ati-drivers/
Date: Tue, 03 Jun 2014 04:49:50
Message-Id: 1401770977.ac2eebc96bae0655e5bfb31e135ea218a7965458.emil_karlson@gentoo
1 commit: ac2eebc96bae0655e5bfb31e135ea218a7965458
2 Author: Emil Karlson <jekarlson <AT> gmail <DOT> com>
3 AuthorDate: Tue Jun 3 04:49:37 2014 +0000
4 Commit: Emil Karlson <jekarlson <AT> gmail <DOT> com>
5 CommitDate: Tue Jun 3 04:49:37 2014 +0000
6 URL: http://git.overlays.gentoo.org/gitweb/?p=proj/x11.git;a=commit;h=ac2eebc9
7
8 x11-drivers/ati-drivers: version bump
9
10 ---
11 ...6_beta.ebuild => ati-drivers-14.6_beta1.ebuild} | 118 +++++++++------------
12 1 file changed, 50 insertions(+), 68 deletions(-)
13
14 diff --git a/x11-drivers/ati-drivers/ati-drivers-13.6_beta.ebuild b/x11-drivers/ati-drivers/ati-drivers-14.6_beta1.ebuild
15 similarity index 85%
16 rename from x11-drivers/ati-drivers/ati-drivers-13.6_beta.ebuild
17 rename to x11-drivers/ati-drivers/ati-drivers-14.6_beta1.ebuild
18 index e48a1a9..870fa4c 100644
19 --- a/x11-drivers/ati-drivers/ati-drivers-13.6_beta.ebuild
20 +++ b/x11-drivers/ati-drivers/ati-drivers-14.6_beta1.ebuild
21 @@ -8,31 +8,23 @@ inherit eutils multilib linux-info linux-mod toolchain-funcs versionator pax-uti
22
23 DESCRIPTION="Ati precompiled drivers for Radeon Evergreen (HD5000 Series) and newer chipsets"
24 HOMEPAGE="http://www.amd.com"
25 -MY_V=( $(get_version_components) )
26 -#RUN="${WORKDIR}/amd-driver-installer-9.00-x86.x86_64.run"
27 +RUN="${WORKDIR}/fglrx-14.20/amd-driver-installer-14.20-x86.x86_64.run"
28 SLOT="1"
29 -if [[ "${MY_V[2]}" =~ beta.* ]]; then
30 - BETADIR="beta/"
31 -else
32 - BETADIR="linux/"
33 -fi
34 -if [[ legacy != ${SLOT} ]]; then
35 - DRIVERS_URI="http://www2.ati.com/drivers/${BETADIR}amd-driver-installer-catalyst-13-6-beta-x86.x86_64.zip"
36 -else
37 - DRIVERS_URI="http://www2.ati.com/drivers/legacy/amd-driver-installer-catalyst-$(get_version_component_range 1-2)-$(get_version_component_range 3)-legacy-linux-x86.x86_64.zip"
38 -fi
39 +# Uses javascript for download YESSSS
40 +#DRIVERS_URI="http://www2.ati.com/drivers/linux/amd-catalyst-13.12-linux-x86.x86_64.zip"
41 +DRIVERS_URI="mirror://gentoo/linux-amd-catalyst-14.6-beta-v1.0-may23.zip"
42 XVBA_SDK_URI="http://developer.amd.com/wordpress/media/2012/10/xvba-sdk-0.74-404001.tar.gz"
43 SRC_URI="${DRIVERS_URI} ${XVBA_SDK_URI}"
44 FOLDER_PREFIX="common/"
45 -IUSE="debug +modules multilib qt4 static-libs disable-watermark pax_kernel"
46 +IUSE="debug +modules multilib qt4 static-libs pax_kernel"
47
48 LICENSE="AMD GPL-2 QPL-1.0"
49 KEYWORDS="-* ~amd64 ~x86"
50
51 -RESTRICT="bindist test"
52 +RESTRICT="bindist test fetch"
53
54 RDEPEND="
55 - <=x11-base/xorg-server-1.14.49[-minimal]
56 + <=x11-base/xorg-server-1.15.49[-minimal]
57 >=app-admin/eselect-opengl-1.0.7
58 app-admin/eselect-opencl
59 sys-power/acpid
60 @@ -44,7 +36,10 @@ RDEPEND="
61 x11-libs/libXrender
62 virtual/glu
63 multilib? (
64 - app-emulation/emul-linux-x86-opengl
65 + || (
66 + virtual/glu[abi_x86_32]
67 + app-emulation/emul-linux-x86-opengl
68 + )
69 || (
70 (
71 x11-libs/libX11[abi_x86_32]
72 @@ -118,6 +113,8 @@ QA_PRESTRIPPED="
73 usr/lib\(32\|64\)\?/libAMDXvBA.so.1.0
74 usr/lib\(32\|64\)\?/libaticaldd.so
75 usr/lib\(32\|64\)\?/dri/fglrx_dri.so
76 + usr/lib\(32\|64\)\?/OpenCL/vendors/amd/libOpenCL.so.1
77 + usr/lib\(32\|64\)\?/OpenCL/vendors/amd/libamdocl\(32\|64\).so
78 "
79
80 QA_SONAME="
81 @@ -158,46 +155,40 @@ QA_DT_HASH="
82 usr/lib\(32\|64\)\?/OpenCL/vendors/amd/libOpenCL.so.1
83 "
84
85 -CONFIG_CHECK="~MTRR ~!DRM ACPI PCI_MSI !LOCKDEP !PAX_KERNEXEC_PLUGIN_METHOD_OR"
86 -ERROR_MTRR="CONFIG_MTRR required for direct rendering."
87 -ERROR_DRM="CONFIG_DRM must be disabled or compiled as a module and not loaded for direct
88 - rendering to work."
89 -ERROR_LOCKDEP="CONFIG_LOCKDEP (lock tracking) exports the symbol lock_acquire
90 - as GPL-only. This prevents ${P} from compiling with an error like this:
91 - FATAL: modpost: GPL-incompatible module fglrx.ko uses GPL-only symbol 'lock_acquire'"
92 -ERROR_PAX_KERNEXEC_PLUGIN_METHOD_OR="This config option will cause
93 - kernel to reject loading the fglrx module with
94 - \"ERROR: could not insert 'fglrx': Exec format error.\"
95 - You may want to try CONFIG_PAX_KERNEXEC_PLUGIN_METHOD_BTS instead."
96 -
97 -_check_kernel_config() {
98 - if ! linux_chkconfig_present AGP && \
99 - ! linux_chkconfig_present PCIEPORTBUS; then
100 - ewarn "You don't have AGP and/or PCIe support enabled in the kernel"
101 - ewarn "Direct rendering will not work."
102 - fi
103 -
104 - kernel_is ge 2 6 37 && kernel_is le 2 6 38 && if ! linux_chkconfig_present BKL ; then
105 - die "CONFIG_BKL must be enabled for kernels 2.6.37-2.6.38."
106 - fi
107 -
108 - if use amd64 && ! linux_chkconfig_present COMPAT; then
109 - die "CONFIG_COMPAT must be enabled for amd64 kernels."
110 - fi
111 +pkg_nofetch() {
112 + einfo "The driver packages"
113 + einfo ${A}
114 + einfo "need to be downloaded manually from"
115 + einfo "http://support.amd.com/en-us/download/desktop?os=Linux%20x86_64"
116 + einfo "and ${XVBA_SDK_URI}"
117 }
118
119 pkg_pretend() {
120 + local CONFIG_CHECK="~MTRR ~!DRM ACPI PCI_MSI !LOCKDEP !PAX_KERNEXEC_PLUGIN_METHOD_OR"
121 + use amd64 && CONFIG_CHECK+=" COMPAT"
122 +
123 + local ERROR_MTRR="CONFIG_MTRR required for direct rendering."
124 + local ERROR_DRM="CONFIG_DRM must be disabled or compiled as a module and not loaded for direct
125 + rendering to work."
126 + local ERROR_LOCKDEP="CONFIG_LOCKDEP (lock tracking) exports the symbol lock_acquire
127 + as GPL-only. This prevents ${P} from compiling with an error like this:
128 + FATAL: modpost: GPL-incompatible module fglrx.ko uses GPL-only symbol 'lock_acquire'"
129 + local ERROR_PAX_KERNEXEC_PLUGIN_METHOD_OR="This config option will cause
130 + kernel to reject loading the fglrx module with
131 + \"ERROR: could not insert 'fglrx': Exec format error.\"
132 + You may want to try CONFIG_PAX_KERNEXEC_PLUGIN_METHOD_BTS instead."
133 + local ERROR_BKL="CONFIG_BKL must be enabled for kernels 2.6.37-2.6.38."
134 +
135 # workaround until bug 365543 is solved
136 if use modules; then
137 linux-info_pkg_setup
138 require_configured_kernel
139 - _check_kernel_config
140 -
141 - if ! [[ "${KV_EXTRA}" =~ -hardened.* ]] && use pax_kernel; then
142 - eerror "USE pax_kernel enabled for a non-hardened kernel."
143 - eerror "If you know this kernel supports pax_kernel, open a bug at"
144 - eerror "https://bugs.gentoo.org"
145 - die "USE pax_kernel enabled for a non-hardened kernel"
146 + kernel_is ge 2 6 37 && kernel_is le 2 6 38 && CONFIG_CHECK+=" BKL"
147 + check_extra_config
148 + if ! linux_chkconfig_present AGP && \
149 + ! linux_chkconfig_present PCIEPORTBUS; then
150 + ewarn "You don't have AGP and/or PCIe support enabled in the kernel"
151 + ewarn "Direct rendering will not work."
152 fi
153 fi
154
155 @@ -263,12 +254,16 @@ src_unpack() {
156 else
157 RUN="${DISTDIR}/${DRIVERS_DISTFILE}"
158 fi
159 - sh ${RUN} --extract "${S}" 2>&1 > /dev/null || die
160 + sh "${RUN}" --extract "${S}" 2>&1 > /dev/null || die
161 fi
162
163 mkdir xvba_sdk
164 cd xvba_sdk
165 unpack ${XVBA_SDK_DISTFILE}
166 +
167 + mkdir -p "${WORKDIR}/extra" || die "mkdir extra failed"
168 + cd "${WORKDIR}/extra"
169 + tar -xf "../${FOLDER_PREFIX}usr/src/ati/fglrx_sample_source.tgz"
170 }
171
172 src_prepare() {
173 @@ -315,7 +310,10 @@ src_prepare() {
174 # Compile fix for kernel typesafe uid types #469160
175 epatch "${FILESDIR}/typesafe-kuid.diff"
176
177 - epatch "${FILESDIR}/ati-drivers-13.6-linux-3.10-proc.diff"
178 + epatch "${FILESDIR}/ati-drivers-13.8-beta-include-seq_file.patch"
179 +
180 + # Fix #483400
181 + epatch "${FILESDIR}/fgl_glxgears-do-not-include-glATI.patch"
182
183 # Compile fix, https://bugs.gentoo.org/show_bug.cgi?id=454870
184 use pax_kernel && epatch "${FILESDIR}/const-notifier-block.patch"
185 @@ -335,22 +333,6 @@ src_prepare() {
186 sed -i -e 's/__SMP__/CONFIG_SMP/' *.c *h || die "SMP sed failed"
187 sed -i -e 's/ifdef MODVERSIONS/ifdef CONFIG_MODVERSIONS/' *.c *.h \
188 || die "MODVERSIONS sed failed"
189 - cd "${S}"
190 -
191 - mkdir extra || die "mkdir extra failed"
192 - cd extra
193 - unpack ./../${FOLDER_PREFIX}usr/src/ati/fglrx_sample_source.tgz
194 -
195 - # Get rid of watermark. Oldest known reference:
196 - # http://phoronix.com/forums/showthread.php?19875-Unsupported-Hardware-watermark
197 - if use disable-watermark; then
198 - ebegin "Disabling watermark"
199 - driver="${MY_BASE_DIR}"/usr/X11R6/${PKG_LIBDIR}/modules/drivers/fglrx_drv.so
200 - for x in $(objdump -d ${driver}|awk '/call/&&/EnableLogo/{print "\\x"$2"\\x"$3"\\x"$4"\\x"$5"\\x"$6}'); do
201 - sed -i "s/${x/x5b/\x5b}/\x90\x90\x90\x90\x90/g" ${driver} || break 1
202 - done
203 - eend $? || die "Disabling watermark failed"
204 - fi
205 }
206
207 src_compile() {
208 @@ -443,7 +425,7 @@ src_install() {
209 insinto /etc/ati
210 exeinto /etc/ati
211 # Everything except for the authatieventsd.sh script.
212 - doins ${FOLDER_PREFIX}etc/ati/{logo*,control,atiogl.xml,signature,amdpcsdb.default}
213 + doins ${FOLDER_PREFIX}etc/ati/{logo*,control,signature,amdpcsdb.default}
214 doexe ${FOLDER_PREFIX}etc/ati/authatieventsd.sh
215
216 # include.